--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://webservices.primerchants.com/creditcard.asmx/CCSale'"
- !ruby/object:RI::Constant 
  comment: 
  name: UNUSED_FIELDS
  value: "%w(ECIValue UserId CAVVData TrackData POSInd EComInd MerchZIP MerchCustPNum MCC InstallmentNum InstallmentOf POSEntryMode POSConditionCode AuthCharInd CardCertData)"
- !ruby/object:RI::Constant 
  comment: 
  name: DECLINED
  value: "'The transaction was declined'"
full_name: ActiveMerchant::Billing::TransFirstGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: purchase
name: TransFirstGateway
superclass: Gateway
